org.jboss.jca.common

## Interface CommonLogger

- All Superinterfaces:
    org.jboss.logging.BasicLogger

      @MessageLogger(projectCode="IJ")
      public interface CommonLogger
      extends org.jboss.logging.BasicLogger

  The common logger. Message ids ranging from 05001 to 10000 inclusively.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `moreThanOneConnector()` More than one connector
    `void` | `noConnector()` No connector
    `void` | `parsingErrorIronJacamarXml(java.lang.String url, java.lang.Throwable t)` Parsing error for ironjacamar.xml
    `void` | `parsingErrorRaXml(java.lang.String url, java.lang.Throwable t)` Parsing error for ra.xml
    `void` | `warnPrefillNotAllowedWithMultipleUsers()`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Method Detail

    - #### parsingErrorRaXml

          @LogMessage(level=ERROR)
           @Message(id=10001,
                   value="Parsing error of ra.xml file: %s")
          void parsingErrorRaXml(java.lang.String url,
                                                                                                                                 @Cause
                                                                                                                                 java.lang.Throwable t)

      Parsing error for ra.xml
      Parameters:
        `url` - The url
        `t` - The exception

    - #### parsingErrorIronJacamarXml

          @LogMessage(level=ERROR)
           @Message(id=10002,
                   value="Parsing error of ironjacamar.xml file: %s")
          void parsingErrorIronJacamarXml(java.lang.String url,
                                                                                                                                                   @Cause
                                                                                                                                                   java.lang.Throwable t)

      Parsing error for ironjacamar.xml
      Parameters:
        `url` - The url
        `t` - The exception

    - #### noConnector

          @LogMessage(level=ERROR)
           @Message(id=10003,
                   value="No @Connector was found and no definition in the ra.xml metadata either")
          void noConnector()

      No connector

    - #### moreThanOneConnector

          @LogMessage(level=ERROR)
           @Message(id=10004,
                   value="More than one @Connector was found but the correct one wasn\'t defined in the ra.xml metadata")
          void moreThanOneConnector()

      More than one connector

    - #### warnPrefillNotAllowedWithMultipleUsers

          @LogMessage(level=WARN)
           @Message(id=10005,
                   value="Datasource pools with allow-multiple-users cannot be prefilled. Prefill setting will be ignored.")
          void warnPrefillNotAllowedWithMultipleUsers()

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)